<?php
declare(strict_types=1);

namespace AuxCF\Entities\Field\Traits;

trait DimensionsTraits
{
  protected int $minWidth = 0;
  protected int $maxWidth = 0;
  protected int $minHeight = 0;
  protected int $maxHeight = 0;

  protected function getDimensionsArray(): array
  {
    return [
      'min_width' => $this->minWidth,
      'max_width' => $this->maxWidth,
      'min_height' => $this->minHeight,
      'max_height' => $this->maxHeight,
    ];
  }
}
